Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# widget.h File Reference

`#include <gtkmm/widget.h>`
`#include <gdkmm/gl/tokens.h>`
`#include <gdkmm/gl/config.h>`
`#include <gdkmm/gl/context.h>`
`#include <gdkmm/gl/window.h>`

Include dependency graph for widget.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Gtk
namespace | Gtk::GL
## Classes
class | Gtk::GL::Widget< T_GtkWidget >
## Functions
bool | Gtk::GL::widget_set_gl_capability (Gtk::Widget &widget, const Glib::RefPtr< const Gdk::GL::Config > &glconfig, const Glib::RefPtr< const Gdk::GL::Context > &share_list, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
bool | Gtk::GL::widget_set_gl_capability (Gtk::Widget &widget, const Glib::RefPtr< const Gdk::GL::Config > &glconfig, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
bool | Gtk::GL::widget_is_gl_capable (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Config > | Gtk::GL::widget_get_gl_config (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Context > | Gtk::GL::widget_create_gl_context (const Gtk::Widget &widget, const Glib::RefPtr< const Gdk::GL::Context > &share_list, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
Glib::RefPtr< Gdk::GL::Context > | Gtk::GL::widget_create_gl_context (const Gtk::Widget &widget, bool direct=true, int render_type=Gdk::GL::RGBA_TYPE)
Glib::RefPtr< Gdk::GL::Context > | Gtk::GL::widget_get_gl_context (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Window > | Gtk::GL::widget_get_gl_window (const Gtk::Widget &widget)
Glib::RefPtr< Gdk::GL::Drawable > | Gtk::GL::widget_get_gl_drawable (const Gtk::Widget &widget)